$(MODULES_BASE_DIR)/tcmods.bz2: 
	-rm -r $(MODULES_BASE_DIR)/tcmods
	mkdir $(MODULES_BASE_DIR)/tcmods
	mkdir $(MODULES_BASE_DIR)/tcmods/lib
	mkdir $(MODULES_BASE_DIR)/tcmods/lib/modules
	mkdir $(MODULES_BASE_DIR)/tcmods/lib/modules/$(LINUX_VERSION)
	mkdir $(MODULES_BASE_DIR)/tcmods/lib/modules/$(LINUX_VERSION)/kernel
	mkdir $(MODULES_BASE_DIR)/tcmods/lib/modules/$(LINUX_VERSION)/kernel/net
	
	#
	# Scheduling
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/net/sched $(MODULES_BASE_DIR)/tcmods/lib/modules/$(LINUX_VERSION)/kernel/net/.

	( cd $(MODULES_BASE_DIR)/tcmods; tar -cpvf ../tcmods.tar *; )
	/usr/bin/bzip2 -9 $(MODULES_BASE_DIR)/tcmods.tar
	mv $(MODULES_BASE_DIR)/tcmods.tar.bz2 $(MODULES_BASE_DIR)/tcmods.bz2

tcmods: $(MODULES_BASE_DIR)/tcmods.bz2

tcmods-clean:
	-rm -f $(MODULES_BASE_DIR)/tcmods.bz2
