#!/bin/sh

# $Id: udhcpd.conf.sh,v 1.5 2004/10/28 18:09:44 thomasez Exp $

. /etc/config
. /etc/inside.info

if [ $DOMAIN = "" ] && [ $CONNECT_TYPE = DHCP ];
 then
  export `sed -e "s/domain /DOMAIN=/" -e "/^[^D].*/d" /etc/resolv.conf`
 fi

cat >> /etc/udhcpd.conf <<EOF
interface       $INSIDE_DEVICE
start           $DHCP_RANGE_START
end             $DHCP_RANGE_END
# max_leases	103
lease_file      /var/state/udhcpd.leases
pidfile         /var/run/udhcpd.pid
option          dns             $INSIDE_IP
option          subnet          $INSIDE_NETMASK
option          broadcast       $INSIDE_BROADCAST
option          router          $INSIDE_IP
option          domain          $DOMAIN
option          lease           864000                                   
EOF

# Adding the /etc/ethers file:
sed -e '/^#/d;/^$/d;s/^/static_lease /' /etc/ethers >> /etc/udhcpd.conf
